Piloterr

Bitiba Search

GET
/v2/bitiba/search

Search a live Bitiba country shop. Germany is the default. www.bitiba.com is closed and returns 400.

Credit cost: 1 credit per call

Authorization

ApiKeyAuth
headerx-api-key<token>

Your API key. Include it in the x-api-key header for every request.

Query Parameters

query*string

What to look for. A word such as hundefutter, or a Bitiba search link. A product link returns 400. www.bitiba.com returns 400.

region?string

Country shop. de is Germany (default), fr is France, uk is the United Kingdom. gb means uk.

Default"de"
page?number

Page number, starting at 1. Page 2 uses p=2.

Range1 <= value
return_page_source?boolean

Set to true to get the raw HTML in result.

Response Body

Successful response

application/json
  1. response
results?array<>
pagination?
Example Request
curl -X GET 'https://api.piloterr.com/v2/bitiba/search?query=string'
Example Response
{  "results": [    {      "sku": "75036.2",      "url": "https://www.bitiba.de/shop/hunde/hundefutter_trocken/my_friend/75036?activeVariant=75036.2",      "unit": "kg",      "brand": "Bosch My Friend",      "price": 23.49,      "title": "My Friend Hundefutter",      "brands": [        "Bosch My Friend"      ],      "images": [        "https://media.zooplus.com/bilder/8/400/13912_pla_my_friend_hundefutter_8.jpg"      ],      "is_new": false,      "rating": 4.6,      "region": "de",      "summary": "Ausgewogene Vollnahrung für ausgewachsene Hunde mit normaler Aktivität, bekömmlich und sehr schmackhaft, moderater Energiegehalt, ohne künstliche Farb- oder Lockstoffe",      "currency": "EUR",      "in_stock": true,      "image_alt": "My Friend Hundefutter - 20 kg",      "image_url": "https://media.zooplus.com/bilder/8/400/13912_pla_my_friend_hundefutter_8.jpg",      "is_choice": false,      "pet_types": [        "DOGS"      ],      "article_id": "343803",      "is_reduced": true,      "product_id": "75036",      "unit_price": 1.17,      "variant_id": "2",      "choice_label": null,      "is_sponsored": false,      "review_count": 65,      "price_display": "23,49 €",      "variant_count": 1,      "discount_label": null,      "promotion_text": null,      "reference_price": 31.95,      "delivery_max_days": 4,      "delivery_min_days": 2,      "unit_price_display": "1,17 €",      "variant_description": "20 kg",      "reference_price_label": "UVP",      "reference_price_display": "31,95 €"    }  ],  "pagination": {    "next": "https://www.bitiba.de/search/results?q=hundefutter&p=2",    "page": 1,    "per_page": 48,    "total_pages": 160,    "total_results": 7652  }}